Bug 1535315 (CVE-2018-1000004) - CVE-2018-1000004 kernel: Race condition in sound system can lead to denial of service
Summary: CVE-2018-1000004 kernel: Race condition in sound system can lead to denial of...
Status: NEW
Alias: CVE-2018-1000004
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180110,repor...
Keywords: Security
: 1534650 (view as bug list)
Depends On: 1537202 1534653 1535316 1537201 1537203 1537204 1537452
Blocks: 1535321
TreeView+ depends on / blocked
 
Reported: 2018-01-17 06:16 UTC by Sam Fowler
Modified: 2019-02-28 22:36 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In the Linux kernel versions 4.12, 3.10, 2.6, and possibly earlier, a race condition vulnerability exists in the sound system allowing for a potential deadlock and memory corruption due to use-after-free condition and thus denial of service. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0654 None None None 2018-04-10 05:12 UTC
Red Hat Product Errata RHSA-2018:0676 None None None 2018-04-10 08:18 UTC
Red Hat Product Errata RHSA-2018:1062 None None None 2018-04-10 09:42 UTC
Red Hat Product Errata RHSA-2018:2390 None None None 2018-08-14 18:25 UTC

Description Sam Fowler 2018-01-17 06:16:38 UTC
In the Linux kernel versions 4.12, 3.10, 2.6 and possibly earlier, a race condition vulnerability exists in the sound system allowing for a potential deadlock and memory corruption due to use-after-free condition and thus denial of service. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.

References:

http://seclists.org/oss-sec/2018/q1/51

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=b3defb791b26ea0683a93a4f49c77ec45ec96f10

Comment 1 Sam Fowler 2018-01-17 06:17:53 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1535316]

Comment 2 Vladis Dronov 2018-01-22 15:56:41 UTC
*** Bug 1534650 has been marked as a duplicate of this bug. ***

Comment 6 Vladis Dronov 2018-01-22 16:38:57 UTC
What is Red Hat Enterprise Linux 7 for ARM 64,
        Red Hat Enterprise Linux 7 for Power 9 LE

The kernel package as shipped with Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE is an updated kernel intended to support new architectures not available at the time of Red Hat Enterprise Linux 7 original shipping. The new kernel version is based on an upstream Linux kernel version 4.11. The offering is distributed with other updated packages, but most of the userspace is the standard Red Hat Enterprise Linux 7 Server RPM files.

For more information please refer to:

https://access.redhat.com/articles/3158541
https://access.redhat.com/articles/3158511

Comment 11 Adam Mariš 2018-02-19 09:47:23 UTC
Statement:

This issue affects the version of Linux kernel package as shipped with Red Hat Enterprise Linux 5. This is not currently planned to be addressed in future updates of the product due to its life cycle. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 6, 7, its real-time kernel, Red Hat Enterprise MRG 2, Red Hat Enterprise Linux 7 for ARM 64 and Red Hat Enterprise Linux 7 for Power 9 LE. Future Linux kernel updates for the respective releases may address this issue.

Comment 13 errata-xmlrpc 2018-04-10 05:12:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0654 https://access.redhat.com/errata/RHSA-2018:0654

Comment 14 errata-xmlrpc 2018-04-10 08:17:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:0676 https://access.redhat.com/errata/RHSA-2018:0676

Comment 15 errata-xmlrpc 2018-04-10 09:41:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1062 https://access.redhat.com/errata/RHSA-2018:1062

Comment 16 errata-xmlrpc 2018-08-14 18:25:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:2390 https://access.redhat.com/errata/RHSA-2018:2390


Note You need to log in before you can comment on or make changes to this bug.